=== modified file 'lib/canonical/testing/layers.py'
--- lib/canonical/testing/layers.py	2011-04-05 00:47:45 +0000
+++ lib/canonical/testing/layers.py	2011-04-14 02:06:27 +0000
@@ -2103,3 +2103,7 @@
         # Flush the file so that windmill can read it.
         cls.config_file.flush()
         os.environ['WINDMILL_CONFIG_FILE'] = cls.config_file.name
+
+
+class BaseYUITestLayer(BaseWindmillLayer):
+    """The base class for all YUITests cases."""

=== modified file 'lib/lp/app/windmill/testing.py'
--- lib/lp/app/windmill/testing.py	2010-11-15 21:07:55 +0000
+++ lib/lp/app/windmill/testing.py	2011-04-14 02:06:27 +0000
@@ -6,10 +6,14 @@
 __metaclass__ = type
 __all__ = [
     'AppWindmillLayer',
+    'AppYUILayer',
     ]
 
 
-from canonical.testing.layers import BaseWindmillLayer
+from canonical.testing.layers import (
+    BaseWindmillLayer,
+    BaseYUITestLayer,
+    )
 
 
 class AppWindmillLayer(BaseWindmillLayer):
@@ -19,3 +23,12 @@
     def setUp(cls):
         cls.base_url = cls.appserver_root_url()
         super(AppWindmillLayer, cls).setUp()
+
+
+class AppYUILayer(BaseYUITestLayer):
+    """Layer for Code YUI tests."""
+
+    @classmethod
+    def setUp(cls):
+        cls.base_url = cls.appserver_root_url()
+        super(AppYUILayer, cls).setUp()

=== modified file 'lib/lp/app/windmill/tests/test_yuitests.py'
--- lib/lp/app/windmill/tests/test_yuitests.py	2010-11-15 20:42:40 +0000
+++ lib/lp/app/windmill/tests/test_yuitests.py	2011-04-14 02:06:27 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 __all__ = []
 
-from lp.app.windmill.testing import AppWindmillLayer
+from lp.app.windmill.testing import AppYUILayer
 from lp.testing import (
     build_yui_unittest_suite,
     YUIUnitTestCase,
@@ -15,7 +15,7 @@
 
 class AppYUIUnitTestCase(YUIUnitTestCase):
 
-    layer = AppWindmillLayer
+    layer = AppYUILayer
     suite_name = 'AppYUIUnitTests'
 
 

=== modified file 'lib/lp/bugs/windmill/testing.py'
--- lib/lp/bugs/windmill/testing.py	2011-04-05 00:47:45 +0000
+++ lib/lp/bugs/windmill/testing.py	2011-04-14 02:06:27 +0000
@@ -6,10 +6,14 @@
 __metaclass__ = type
 __all__ = [
     'BugsWindmillLayer',
+    'BugsYUILayer',
     ]
 
 
-from canonical.testing.layers import BaseWindmillLayer
+from canonical.testing.layers import (
+    BaseWindmillLayer,
+    BaseYUITestLayer,
+    )
 
 
 class BugsWindmillLayer(BaseWindmillLayer):
@@ -21,3 +25,12 @@
         cls.base_url = cls.appserver_root_url(cls.facet)
         super(BugsWindmillLayer, cls).setUp()
 
+
+class BugsYUILayer(BaseYUITestLayer):
+    """Layer for Code YUI tests."""
+
+    @classmethod
+    def setUp(cls):
+        cls.facet = 'bugs'
+        cls.base_url = cls.appserver_root_url(cls.facet)
+        super(BugsYUILayer, cls).setUp()

=== modified file 'lib/lp/bugs/windmill/tests/test_yuitests.py'
--- lib/lp/bugs/windmill/tests/test_yuitests.py	2010-11-05 19:44:56 +0000
+++ lib/lp/bugs/windmill/tests/test_yuitests.py	2011-04-14 02:06:27 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 __all__ = []
 
-from lp.bugs.windmill.testing import BugsWindmillLayer
+from lp.bugs.windmill.testing import BugsYUILayer
 from lp.testing import (
     build_yui_unittest_suite,
     YUIUnitTestCase,
@@ -15,7 +15,7 @@
 
 class BugsYUIUnitTestCase(YUIUnitTestCase):
 
-    layer = BugsWindmillLayer
+    layer = BugsYUILayer
     suite_name = 'BugsYUIUnitTests'
 
 

=== modified file 'lib/lp/code/windmill/testing.py'
--- lib/lp/code/windmill/testing.py	2011-04-05 00:47:45 +0000
+++ lib/lp/code/windmill/testing.py	2011-04-14 02:06:27 +0000
@@ -6,10 +6,14 @@
 __metaclass__ = type
 __all__ = [
     'CodeWindmillLayer',
+    'CodeYUILayer',
     ]
 
 
-from canonical.testing.layers import BaseWindmillLayer
+from canonical.testing.layers import (
+    BaseWindmillLayer,
+    BaseYUITestLayer,
+    )
 
 
 class CodeWindmillLayer(BaseWindmillLayer):
@@ -21,3 +25,12 @@
         cls.base_url = cls.appserver_root_url(cls.facet)
         super(CodeWindmillLayer, cls).setUp()
 
+
+class CodeYUILayer(BaseYUITestLayer):
+    """Layer for Code YUI tests."""
+
+    @classmethod
+    def setUp(cls):
+        cls.facet = 'code'
+        cls.base_url = cls.appserver_root_url(cls.facet)
+        super(CodeYUILayer, cls).setUp()

=== modified file 'lib/lp/code/windmill/tests/test_yuitests.py'
--- lib/lp/code/windmill/tests/test_yuitests.py	2010-11-05 20:08:57 +0000
+++ lib/lp/code/windmill/tests/test_yuitests.py	2011-04-14 02:06:27 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 __all__ = []
 
-from lp.code.windmill.testing import CodeWindmillLayer
+from lp.code.windmill.testing import CodeYUILayer
 from lp.testing import (
     build_yui_unittest_suite,
     YUIUnitTestCase,
@@ -15,7 +15,7 @@
 
 class CodeYUIUnitTestCase(YUIUnitTestCase):
 
-    layer = CodeWindmillLayer
+    layer = CodeYUILayer
     suite_name = 'CodeYUIUnitTests'
 
 

=== modified file 'lib/lp/registry/windmill/testing.py'
--- lib/lp/registry/windmill/testing.py	2010-10-19 01:42:48 +0000
+++ lib/lp/registry/windmill/testing.py	2011-04-14 02:06:27 +0000
@@ -6,10 +6,14 @@
 __metaclass__ = type
 __all__ = [
     'RegistryWindmillLayer',
+    'RegistryYUILayer',
     ]
 
 
-from canonical.testing.layers import BaseWindmillLayer
+from canonical.testing.layers import (
+    BaseWindmillLayer,
+    BaseYUITestLayer,
+    )
 
 
 class RegistryWindmillLayer(BaseWindmillLayer):
@@ -20,3 +24,11 @@
         cls.base_url = cls.appserver_root_url()
         super(RegistryWindmillLayer, cls).setUp()
 
+
+class RegistryYUILayer(BaseYUITestLayer):
+    """Layer for Code YUI tests."""
+
+    @classmethod
+    def setUp(cls):
+        cls.base_url = cls.appserver_root_url()
+        super(RegistryYUILayer, cls).setUp()

=== modified file 'lib/lp/registry/windmill/tests/test_yuitests.py'
--- lib/lp/registry/windmill/tests/test_yuitests.py	2010-08-20 20:31:18 +0000
+++ lib/lp/registry/windmill/tests/test_yuitests.py	2011-04-14 02:06:27 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 __all__ = []
 
-from lp.registry.windmill.testing import RegistryWindmillLayer
+from lp.registry.windmill.testing import RegistryYUILayer
 from lp.testing import (
     build_yui_unittest_suite,
     YUIUnitTestCase,
@@ -15,7 +15,7 @@
 
 class RegistryYUIUnitTestCase(YUIUnitTestCase):
 
-    layer = RegistryWindmillLayer
+    layer = RegistryYUILayer
     suite_name = 'RegistryYUIUnitTests'
 
 

=== modified file 'lib/lp/soyuz/windmill/testing.py'
--- lib/lp/soyuz/windmill/testing.py	2010-10-19 01:42:48 +0000
+++ lib/lp/soyuz/windmill/testing.py	2011-04-14 02:06:27 +0000
@@ -6,10 +6,14 @@
 __metaclass__ = type
 __all__ = [
     'SoyuzWindmillLayer',
+    'SoyuzYUILayer',
     ]
 
 
-from canonical.testing.layers import BaseWindmillLayer
+from canonical.testing.layers import (
+    BaseWindmillLayer,
+    BaseYUITestLayer,
+    )
 
 
 class SoyuzWindmillLayer(BaseWindmillLayer):
@@ -21,4 +25,10 @@
         super(SoyuzWindmillLayer, cls).setUp()
 
 
+class SoyuzYUILayer(BaseYUITestLayer):
+    """Layer for Code YUI tests."""
 
+    @classmethod
+    def setUp(cls):
+        cls.base_url = cls.appserver_root_url()
+        super(SoyuzYUILayer, cls).setUp()

=== modified file 'lib/lp/soyuz/windmill/tests/test_yuitests.py'
--- lib/lp/soyuz/windmill/tests/test_yuitests.py	2010-08-20 20:31:18 +0000
+++ lib/lp/soyuz/windmill/tests/test_yuitests.py	2011-04-14 02:06:27 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 __all__ = []
 
-from lp.soyuz.windmill.testing import SoyuzWindmillLayer
+from lp.soyuz.windmill.testing import SoyuzYUILayer
 from lp.testing import (
     build_yui_unittest_suite,
     YUIUnitTestCase,
@@ -15,7 +15,7 @@
 
 class SoyuzYUIUnitTestCase(YUIUnitTestCase):
 
-    layer = SoyuzWindmillLayer
+    layer = SoyuzYUILayer
     suite_name = 'SoyuzYUIUnitTests'
 
 

